--- asterisk-1.6.0-beta5.orig/contrib/scripts/asterisk.ldap-schema	2008-01-23 00:33:20.000000000 +0200
+++ asterisk-1.6.0-beta5/contrib/scripts/asterisk.ldap-schema	2008-03-17 14:27:41.140596412 +0200
@@ -67,6 +67,9 @@
 objectIdentifier AstConfigVariableName AstAttrType:43
 objectIdentifier AstConfigVariableValue AstAttrType:44
 objectIdentifier AstConfigCommented AstAttrType:45
+objectIdentifier AstAccountIPAddress AstAttrType:46
+objectIdentifier AstAccountDefaultUser AstAttrType:47
+objectIdentifier AstAccountRegistrationServer AstAttrType:48
 
 
 #############################################################################
@@ -430,6 +433,27 @@
         SUBSTR caseIgnoreSubstringsMatch
         SYNTAX 1.3.6.1.4.1.1466.115.121.1.15)
 
+attributetype ( AstAccountIPAddress
+        NAME 'AstAccountIPAddress'
+        DESC 'Asterisk Account IP Address'
+        EQUALITY caseIgnoreMatch
+        SUBSTR caseIgnoreSubstringsMatch
+        SYNTAX 1.3.6.1.4.1.1466.115.121.1.15)
+
+attributetype ( AstAccountDefaultUser
+        NAME 'AstAccountDefaultUser'
+        DESC 'Asterisk Account Default User'
+        EQUALITY caseIgnoreMatch
+        SUBSTR caseIgnoreSubstringsMatch
+        SYNTAX 1.3.6.1.4.1.1466.115.121.1.15)
+
+attributetype ( AstAccountRegistrationServer
+        NAME 'AstAccountRegistrationServer'
+        DESC 'Asterisk Registration Server'
+        EQUALITY caseIgnoreMatch
+        SUBSTR caseIgnoreSubstringsMatch
+        SYNTAX 1.3.6.1.4.1.1466.115.121.1.15)
+
 #############################################################################
 # Object Class definitions
 #
@@ -505,12 +529,14 @@
         AstAccountCallerID $ 
         AstAccountCanReinvite $
         AstAccountContext $
+        AstAccountDefaultUser $ 
         AstAccountDTMFMode $ 
         AstAccountFromUser $ 
         AstAccountFromDomain $     
         AstAccountFullContact $ 
         AstAccountHost $ 
         AstAccountInsecure $  
+        AstAccountIPAddress $  
         AstAccountMailbox $    
         AstAccountRealmedPassword $ 
         AstAccountNAT $
@@ -529,6 +555,7 @@
         AstAccountExpirationTimestamp $ 
         AstAccountRegistrationContext $ 
         AstAccountRegistrationExten $
+        AstAccountRegistrationServer $
         AstAccountCanCallForward $ 
         AstAccountSecret $ 
         AstAccountName 
